Saves data to the large object

- « OCILob::rewind

- OCILob::saveFile »

- PHP Manual
- OCILob
- Saves data to the large object

# OCILob::save

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

OCILob::save — Saves data to the large object

### Description

public OCILob::save(string `$data`, int `$offset` = 0): bool

Saves `data` to the large object.

### Parameters

`data`

  The data to be saved.

`offset`

  Can be used to indicate offset from the beginning of the large object.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0, PECL OCI8 3.0.0 | The OCI-Lob class was renamed to OCILob to align with PHP naming standards.

### See Also

- OCILob::write
- OCILob::import